Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226273 - Merge Review: perl-Net-Telnet
Summary: Merge Review: perl-Net-Telnet
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Net-Telnet
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Massimo Di Nitto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:37 UTC by Nobody's working on this, feel free to take it
Modified: 2008-07-09 05:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-09 05:13:23 UTC


Attachments (Terms of Use)
Clean up package as required by Review (deleted)
2008-05-23 04:08 UTC, Fabio Massimo Di Nitto
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 20:37:02 UTC
Fedora Merge Review: perl-Net-Telnet

http://cvs.fedora.redhat.com/viewcvs/devel/perl-Net-Telnet/
Initial Owner: jbrassow@redhat.com

Comment 1 Michael Stahnke 2007-02-16 03:59:44 UTC
 OK - Package meets naming and packaging guidelines
 OK - Spec file matches base package name.
 OK - Spec has consistant macro usage.
 OK - Meets Packaging Guidelines.
 OK - Spec in American English
 OK - Spec is legible.
 OK - Sources match upstream md5sum:

 OK - BuildRequires correct
 OK  - Package has %defattr and permissions on files is good.
 OK - Package has a correct %clean section.
 OK - Package has correct buildroot
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 OK - Package is code or permissible content.
 OK  - Packages %doc files don't affect runtime.
 OK - Package compiles and builds on at least one arch.
 OK - Package has no duplicate files in %files.
 OK - Package doesn't own any directories other packages own.
 OK - Package owns all the directories it creates.
 OK - Should build in mock.
 OK - Should build on all supported archs
 OK - Should function as described.
 OK - Should have sane scriptlets.
 OK  - Should package latest version
 OK - check for outstanding bugs on package. (For core merge reviews)


Issues:
XX -- License is GPL or Artistic, not sure if that is valid.
XX -- License (GPL or Artistic) Not include in package (%doc area)
XX -- Should have dist tag
XX -- MANIFEST shouldn't be included in Perl modules. 
[builder@rawhide noarch]$ rpmlint perl-Net-Telnet-3.03-5.noarch.rpm
E: perl-Net-Telnet description-line-too-long Net::Telnet allows you to make
client connections to a TCP port and do network I/O,
E: perl-Net-Telnet description-line-too-long especially to a port using the
TELNET protocol. Simple I/O methods such as print,
E: perl-Net-Telnet description-line-too-long get, and getline are provided. More
sophisticated interactive features are provided
E: perl-Net-Telnet description-line-too-long because connecting to a TELNET port
ultimately means communicating with a program
E: perl-Net-Telnet description-line-too-long designed for human interaction.
These interactive features include the ability to
E: perl-Net-Telnet description-line-too-long specify a time-out and to wait for
patterns to appear in the input stream, such as
W: perl-Net-Telnet manifest-in-perl-module
/usr/share/doc/perl-Net-Telnet-3.03/MANIFEST
[builder@rawhide noarch]$


[builder@rawhide SRPMS]$ rpmlint -I manifest-in-perl-module
manifest-in-perl-module :
This perl module package contains a MANIFEST or a MANIFEST.SKIP file
in the documentation directory.

[builder@rawhide SRPMS]$ rpmlint perl-Net-Telnet-3.03-5.src.rpm
E: perl-Net-Telnet description-line-too-long Net::Telnet allows you to make
client connections to a TCP port and do network I/O,
E: perl-Net-Telnet description-line-too-long especially to a port using the
TELNET protocol. Simple I/O methods such as print,
E: perl-Net-Telnet description-line-too-long get, and getline are provided. More
sophisticated interactive features are provided
E: perl-Net-Telnet description-line-too-long because connecting to a TELNET port
ultimately means communicating with a program
E: perl-Net-Telnet description-line-too-long designed for human interaction.
These interactive features include the ability to
E: perl-Net-Telnet description-line-too-long specify a time-out and to wait for
patterns to appear in the input stream, such as
W: perl-Net-Telnet mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 1)
[builder@rawhide SRPMS]$



Comment 2 Michael Stahnke 2007-03-04 04:16:28 UTC
Sorry I had the wrong review flag here.   Should be ?.  

Comment 3 Fabio Massimo Di Nitto 2008-05-23 04:08:41 UTC
Created attachment 306445 [details]
Clean up package as required by Review

Hi Jesse,

i have attached a patch that addresses all the problems reported in the review
and also a bunch of rpmlint warnings.

I don't have access to commit to this package directly. Please consider
applying.

Thanks
Fabio

Comment 4 Jesse Keating 2008-05-23 13:51:26 UTC
Reassigning to perl-Net-Telnet.

Comment 5 Fabio Massimo Di Nitto 2008-07-09 05:13:23 UTC
All the remaining bits have been fixed in rawhide with 3.03-7 build.

Fabio


Note You need to log in before you can comment on or make changes to this bug.